Installing Intel HD drivers for 4600

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
arimakidd
Level 1
Level 1
Posts: 24
Joined: Thu Nov 02, 2017 11:37 pm

Installing Intel HD drivers for 4600

Postby arimakidd » Sat Nov 04, 2017 8:03 pm

I want to install drivers for my Intel HD 4600 graphics card. I went to this site:
https://01.org/linuxgraphics/downloads/intel-graphics-update-tool-linux-os-v2.0.6

Should I choose Fedora or Ubuntu?

arimakidd
Level 1
Level 1
Posts: 24
Joined: Thu Nov 02, 2017 11:37 pm

Re: Installing Intel HD drivers for 4600

Postby arimakidd » Sat Nov 04, 2017 8:36 pm

I went with the Ubuntu, downloaded the latest package on my Cinnamon and ran the following command:

Code: Select all

sudo dpkg install --install-recommends intel-graphics-update-tool_2.0.6_amd64.deb

I got the following error:

Code: Select all

dpkg: error: need an action option

Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or 'more' !

So than I ran the same command but removed the install recommends:

Code: Select all

sudo dpkg -i intel-graphics-update-tool_2.0.6_amd64.deb

And I got this error:

Code: Select all

Reading database ... 234116 files and directories currently installed.)
Preparing to unpack intel-graphics-update-tool_2.0.6_amd64.deb ...
Unpacking intel-graphics-update-tool (2.0.6) over (2.0.6) ...
dpkg: dependency problems prevent configuration of intel-graphics-update-tool:
 intel-graphics-update-tool depends on libpackagekit-glib2-18 (>= 0.9.4); however:
  Package libpackagekit-glib2-18 is not installed.

dpkg: error processing package intel-graphics-update-tool (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Errors were encountered while processing:
 intel-graphics-update-tool

what should I do?

User avatar
MrEen
Level 3
Level 3
Posts: 109
Joined: Mon Jun 12, 2017 8:39 pm

Re: Installing Intel HD drivers for 4600

Postby MrEen » Sat Nov 04, 2017 9:06 pm

The typical course of action with .deb files in Linux Mint is to browse to it with your file manager and double-click on it.

I have no idea if this is going to help you as you're running in a VM which I know nothing about.

Did you look in Driver Manager first?

mr_raider
Level 6
Level 6
Posts: 1218
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: Installing Intel HD drivers for 4600

Postby mr_raider » Sat Nov 04, 2017 9:34 pm

The HD 4600 is pretty old. The default Intel drivers IN Mint should be adequate. There is no need to install the Intel updater.

If there is some functionality that is not working, we can suggest updated drivers if needed.

For various reasons I don't like using the Intel updater tool.

Btw that tool is for Ubuntu 17.04. it won't work on mint 18.
Image

arimakidd
Level 1
Level 1
Posts: 24
Joined: Thu Nov 02, 2017 11:37 pm

Re: Installing Intel HD drivers for 4600

Postby arimakidd » Sat Nov 04, 2017 10:14 pm

I am using cinnamon and my driver manager looks like this:
driver_manager2.png

Laurent85
Level 13
Level 13
Posts: 4766
Joined: Tue May 26, 2015 10:11 am

Re: Installing Intel HD drivers for 4600

Postby Laurent85 » Sun Nov 05, 2017 4:27 am

Driver Manager only lists alternatives / prorietary drivers available for your hardware. With Intel GPU's (2007 or newer) it's recommended to use the builtin xorg modesetting driver on LM 18.2, specifically kernel 4.8 series or newer with xorg 1.18 or newer.

See current status :

Code: Select all

inxi -SMCGx

If it works don't fix it ;)
Image

mr_raider
Level 6
Level 6
Posts: 1218
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: Installing Intel HD drivers for 4600

Postby mr_raider » Sun Nov 05, 2017 1:48 pm

arimakidd wrote:I am using cinnamon and my driver manager looks like this:
driver_manager2.png


The drivers are "builty-in" so to speak. The mcirocode driver has nothing to do with the GPU.

Is there a problem you are trying to resolve?
Image

arimakidd
Level 1
Level 1
Posts: 24
Joined: Thu Nov 02, 2017 11:37 pm

Re: Installing Intel HD drivers for 4600

Postby arimakidd » Wed Nov 08, 2017 7:22 pm

This issue is solved. The moment I switched my desktop to Mate from Cinnamon things were fine. The display took up the entire Monitor as it should. So it's mate from now on.

arimakidd
Level 1
Level 1
Posts: 24
Joined: Thu Nov 02, 2017 11:37 pm

Re: Installing Intel HD drivers for 4600

Postby arimakidd » Sun Nov 12, 2017 12:56 pm

[SOLVED]


Return to “Newbie Questions”